Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## play.modules.morphia.utils
Class StringUtil

    java.lang.Object
      play.modules.morphia.utils.StringUtil

    public class StringUtil

extends Object

Field Summary
`static int` | `IGNORECASE`
`static int` | `IGNORESPACE`

Constructor Summary
`StringUtil()`

Method Summary
`static boolean` | `isEmpty(String s)`
`static boolean` | `isEqual(String s1, String s2)`
`static boolean` | `isEqual(String s1, String s2, int modifier)`
`static String` | `join(String separator, Collection<?> list)`
`static String` | `join(String separator, Collection<?> list, boolean quoted)`
`static String` | `join(String separator, String... list)`
`static String` | `join(String separator, String prefix, String suffix, Collection<?> list)`
`static String` | `join(String separator, String prefix, String suffix, Collection<?> list, boolean quoted)`
`static String` | `lowerFirstChar(String s)`
`static void` | `main(String[] sa)`
`static String` | `trim(String s)`
`static String` | `upperFirstChar(String s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IGNORECASE

    public static final int IGNORECASE

See Also:
  Constant Field Values

### IGNORESPACE

    public static final int IGNORESPACE

See Also:
  Constant Field Values

Constructor Detail

### StringUtil

    public StringUtil()

Method Detail

### join

    public static String join(String separator,
                              Collection<?> list)

### join

    public static String join(String separator,
                              Collection<?> list,
                              boolean quoted)

### join

    public static String join(String separator,
                              String prefix,
                              String suffix,
                              Collection<?> list,
                              boolean quoted)

### join

    public static String join(String separator,
                              String prefix,
                              String suffix,
                              Collection<?> list)

### join

    public static String join(String separator,
                              String... list)

### isEmpty

    public static boolean isEmpty(String s)

### isEqual

    public static boolean isEqual(String s1,
                                  String s2)

### isEqual

    public static boolean isEqual(String s1,
                                  String s2,
                                  int modifier)

### upperFirstChar

    public static String upperFirstChar(String s)

### lowerFirstChar

    public static String lowerFirstChar(String s)

### trim

    public static String trim(String s)

### main

    public static void main(String[] sa)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.